<?php
/* vim: set et ts=4 sw=4 sts=4 ai: */
// +----------------------------------------------------------------------+
// | Ban                                                                  |
// +----------------------------------------------------------------------+
// | @version $Revision: 1.2 $
// +----------------------------------------------------------------------+

if(!$page) { exit; }

// Only moderators should see this page
$tripcode = tripcode($_COOKIE["tripcode"]);
$tripcodes = explode(",",MODERATORS);
if(!in_array($tripcode,$tripcodes)) {
    $page->fail($ERRORS["unauthorized"]);
}

// IP can be full (a.b.c.d) or globs (a.b.c.*, a.b.*)
// Not gonna do elaborate format testing here :p

if ($_POST) {
    $ip = $_POST["ip"];

    if(ereg("[^0-9\.\*]",$ip)) {
        $page->fail($ERRORS["unknownrequest"]);
    }
    
    if(addBan($ip,$_POST["reason"],$tripcode)) {
        echo $STRINGS["banthanks"];
        echo JS_AUTO_CLOSE;
    } else {
        $page->fail($ERRORS["queryfail"]);
    }

} else {

    $ip = $_GET["ip"];
    // IP, as passed, should be aaa.bbb.ccc.ddd
    if(ereg("[^0-9\.\*]",$ip)) {
        $page->fail($ERRORS["unknownrequest"]);
    }

    // If "remove=true" passed, then just remove
    if($_GET["remove"] == "true") {
        if(removeBan($ip)) {
            echo $STRINGS["banremoved"];
            echo JS_AUTO_CLOSE;
        } else {
            $page->fail($ERRORS["queryfail"]);
        }
    } else {

    // Show ban form
        $vars = array("ip"=>$ip);
        $tmpl = new HTML_Template_IT(TEMPLATE_DIR);
        $tmpl->loadTemplateFile("ban.tmpl");
        $tmpl->setVariable($vars);
        $tmpl->show();
    }
}
?>
